### Constructor

# WPEWebProcessExtension ScriptWorld new

since: 2.2

#### Declaration [src]

    WebKitScriptWorld*
    webkit_script_world_new (
      void
    )

#### Description [src]

Creates a new isolated `WebKitScriptWorld`. Scripts executed in isolated worlds have access to the DOM but not to other variable or functions created by the page. The `WebKitScriptWorld` is created with a generated unique name. Use `webkit_script_world_new_with_name()` if you want to create it with a custom name. You can get the JavaScript execution context of a `WebKitScriptWorld` for a given `WebKitFrame` with webkit_frame_get_javascript_context_for_script_world().

Available since: 2.2

#### Return value

Type: `WebKitScriptWorld`

A new isolated `WebKitScriptWorld`.

The caller of the function takes ownership of the data, and is responsible for freeing it.